Bug 818256 - Review Request: mingw-spice-gtk - client libraries for SPICE desktop servers
Review Request: mingw-spice-gtk - client libraries for SPICE desktop servers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 11:15 EDT by Marc-Andre Lureau
Modified: 2012-05-26 02:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 02:53:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marc-Andre Lureau 2012-05-02 11:15:53 EDT
Spec URL: http://elmarco.fedorapeople.org/mingw-spice-gtk.spec
SRPM URL: http://elmarco.fedorapeople.org/mingw-spice-gtk-0.12-1.fc17.src.rpm

Description: Client libraries for SPICE desktop servers.
Comment 1 Hans de Goede 2012-05-10 10:17:30 EDT
Full review done:

Good:
--------
- rpmlint checks return:
mingw32-spice-glib.noarch: E: explicit-lib-dependency mingw32-glib2
mingw32-spice-glib.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw32-spice-gtk.noarch: W: no-documentation
mingw32-spice-gtk-debuginfo.noarch: E: debuginfo-without-sources
mingw32-spice-gtk-static.noarch: W: no-documentation
mingw32-spice-gtk3.noarch: W: no-documentation
mingw64-spice-glib.noarch: E: explicit-lib-dependency mingw64-glib2
mingw64-spice-glib.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw64-spice-gtk.noarch: W: no-documentation
mingw64-spice-gtk-debuginfo.noarch: E: debuginfo-without-sources
mingw64-spice-gtk-static.noarch: W: no-documentation
mingw64-spice-gtk3.noarch: W: no-documentation
10 packages and 0 specfiles checked; 4 errors, 8 warnings.
^^These are all expected for mingw packages, so no problem here ^^
- package meets naming guidelines
- package meets packaging guidelines
- license (LGPLv2+) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- locales properly handled
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

Needs-work:
-----------------
- you remove all .la files, but non of the other mingw packages I have seen do that, so it is probably better to not do that. Note, this seems something which is under discussion:
https://fedoraproject.org/wiki/MinGW/Packaging_issues
But as said I believe for now it is best to just keep the .la files there.
Comment 2 Marc-Andre Lureau 2012-05-10 10:34:43 EDT
(In reply to comment #1)
> Needs-work:
> -----------------
> - you remove all .la files, but non of the other mingw packages I have seen do
> that, so it is probably better to not do that. Note, this seems something which
> is under discussion:
> https://fedoraproject.org/wiki/MinGW/Packaging_issues
> But as said I believe for now it is best to just keep the .la files there.

From what I know, all the mignw64 packages remove the libtool files, as proposed in
https://fedoraproject.org/wiki/PackagingDrafts/MinGWCrossCompiler
Comment 3 Hans de Goede 2012-05-10 10:42:12 EDT
(In reply to comment #2)
> From what I know, all the mignw64 packages remove the libtool files, as
> proposed in
> https://fedoraproject.org/wiki/PackagingDrafts/MinGWCrossCompiler

Ah I hadn't found that page with even newer guidelines, good!

APPROVED!
Comment 4 Marc-Andre Lureau 2012-05-10 10:53:34 EDT
New Package SCM Request
=======================
Package Name: mingw-spice-gtk
Short Description: Cross-compiled client libraries for SPICE
Owners: elmarco epienbro rjones
Branches: f17
InitialCC:
Comment 5 Gwyn Ciesla 2012-05-10 10:56:44 EDT
Git done (by process-git-requests).
Comment 6 Kalev Lember 2012-05-10 11:41:54 EDT
We removed most of the .la files from mingw packages during the mingw.org -> mingw-w64 toolchain transition in F17. See this post for some background info:
http://lists.fedoraproject.org/pipermail/mingw/2012-January/004421.html

Regarding the guidelines, I am not sure why it's taking so long to get the official pages updated. The draft was approved 3 weeks ago and I've pinged the FPC again this Monday:
https://fedorahosted.org/fpc/ticket/163
Comment 7 Fedora Update System 2012-05-10 12:35:10 EDT
mingw-spice-gtk-0.12-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw-spice-gtk-0.12-1.fc17
Comment 8 Fedora Update System 2012-05-10 16:38:09 EDT
mingw-spice-gtk-0.12-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-05-14 11:55:33 EDT
mingw-spice-gtk-0.12-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw-spice-gtk-0.12-2.fc17
Comment 10 Fedora Update System 2012-05-26 02:53:51 EDT
mingw-spice-gtk-0.12-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.